> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm Password Reset

> Confirm password reset with token.



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json post /auth/reset-password/confirm
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /auth/reset-password/confirm:
    post:
      tags:
        - authentication
      summary: Confirm Password Reset
      description: Confirm password reset with token.
      operationId: confirm_password_reset_auth_reset_password_confirm_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PasswordResetConfirm'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PasswordResetConfirm:
      properties:
        token:
          type: string
          title: Token
        new_password:
          type: string
          maxLength: 100
          minLength: 8
          title: New Password
      type: object
      required:
        - token
        - new_password
      title: PasswordResetConfirm
      description: Password reset confirmation model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````